summaryrefslogtreecommitdiffstats
path: root/bashrc/dist/gentoo/common.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bashrc/dist/gentoo/common.sh')
-rw-r--r--bashrc/dist/gentoo/common.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/bashrc/dist/gentoo/common.sh b/bashrc/dist/gentoo/common.sh
index 904c440..8ca2b64 100644
--- a/bashrc/dist/gentoo/common.sh
+++ b/bashrc/dist/gentoo/common.sh
@@ -1 +1,11 @@
+# NASTY HACK: somehow emerge tinkers with the environment and
+# reset_screen_title is not available anymore, so we disable it before running
+# emerge, and initialize it again afterwards
+emerge() {
+ export PROMPT_COMMAND=true
+ trap true DEBUG
+ /usr/bin/emerge "$@"
+ init_preexec_hack
+}
+
_load dist portdir